### Name: strapply
### Title: Apply a function over a string or strings.
### Aliases: strapply
### Keywords: character

### ** Examples


strapply("12;34:56,89,,12", "[0-9]+")

# separate leading digits from rest of string
# creating a 3 column matrix: original string, digits, rest
s <- c("123abc", "12cd34", "1e23")
t(strapply(s, "^([[:digit:]]+)(.*)", c, simplify = TRUE)) 

# same but create data.frame
strapply(s, "^([[:digit:]]+)(.*)", ~ data.frame(string, digits, rest), 
   simplify = rbind)

# running window of 5 characters using 0-lookahead perl regexp
x <- "abcdefghijkl"
strapply(x, "(.)(?=(....))",  paste0, backref = -2, perl = TRUE)[[1]]

# find second CPU_SPEED value given lines of config file
Lines <- c("DEVICE = 'PC'", "CPU_SPEED = '1999', '233'")
parms <- strapply(Lines, "[^ ',=]+", c, USE.NAMES = TRUE)
parms <- lapply(parms, "[", -1)
parms[["CPU_SPEED"]][2]

## Not run: 
##D # convert to chron
##D library(chron)
##D x <- c("01/15/2005 23:32:45", "02/27/2005 01:22:30")
##D x.chron <- strapply(x, "(../../....) (..:..:..)",  chron, backref = -2, 
##D    simplify = c)
## End(Not run)



